//
//  ViximoNetworkUserInfo.h
//  ViximoMobileTestApp
//
//  Created by Jonathan Klein on 1/12/12.
//  Copyright (c) 2012 None. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "ViximoResource.h"

/**
 * A class representing information the current user authenticated against the given network.
 * This information is only available for networks in which the developer has provided their
 * own 3rd party network applications (Facebook or Twitter apps).  Contact Viximo support for
 * more information on using your own network apps.
 */

@interface ViximoNetworkUserInfo : ViximoResource {
  NSString*     network_name;
  NSString*     oauth_access_token;
  NSString*     external_user_id;
}

/**
 * The name of the network this object contains data for.
 */
@property (nonatomic, retain) NSString *network_name;

/**
 * The oauth token for the user on the given network.
 */
@property (nonatomic, retain) NSString *oauth_access_token;

/**
 * The "external" user ID as they are known on the requested network.
 */
@property (nonatomic, retain) NSString *external_user_id;

@end

